
Tripnet - Major Live Issue #116924
Expedia || Booking Fail Issue
11/15/2021 12:48 pm - Maneesh V

Status: Not Fixed Start date: 11/17/2021
Priority: Normal Due date: 11/18/2021
Assignee: jijo g % Done: 100%
Category: Functionality Estimated time: 2.00 hours
Target version: QA Release Spent time: 1.50 hour
DB Changes: Files Changed:
Keys & Permissions: Initial Planned Hours: 3
Areas Affected:
Description

Expedia Hotel Booking Failed due to below issue, please check.
"type": "invalid_input",
    "message": "An invalid request was sent in, please check the nested errors for details.",
    "errors": [
    {
            "type": "customer_ip.invalid",
            "message": "Customer-Ip header must be a valid IP Address.",
            "fields": [
            {
                    "name": "Customer-Ip",
                    "type": "header" 
                }

Attached logs for reference.

Subtasks:
Improvement # 116948: Hotel - pax - phone number set as mandatory For Review

History
#1 - 11/15/2021 04:13 pm - jijo g
- Due date set to 11/15/2021
- Status changed from New to Fixed not Tested
- Assignee set to jijo g
- Target version set to QA Release
- Estimated time set to 3.00
- Initial Planned Hours changed from 0 to 3

This was because, in case of multiple rooms (so multiple adults), the country code was not passed along with billing section in booking request.

#2 - 11/15/2021 04:13 pm - jijo g
- % Done changed from 0 to 100

#3 - 11/15/2021 05:32 pm - Arun K U
- File expedia.png added
- File 10-01-2022_Cairo_13-01-2022.zip added
- Status changed from Fixed not Tested to Not Fixed
Issue still not resolved
Same error message getting from provider side ""An invalid request was sent in, please check the nested errors for details."

Files
15-11-2021_DUBAI_18-11-2021.zip 3.26 MB 11/15/2021 Maneesh V
10-01-2022_Cairo_13-01-2022.zip 30 KB 11/15/2021 Arun K U
expedia.png 2.81 MB 11/15/2021 Arun K U
